local L = LibStub("AceLocale-3.0"):GetLocale("YurrCombatLog")

local options = {
	type = "group",
	name = "YurrCombatLog",
	handler = Core,
	childGroups = "tree",
	get = GetProfileOpt,
	set = SetProfileOpt,
		args = {
			update = {
			type = "execute",
			name = "Apply",
			desc = "Apply the new filter settings to the selected chat frame, clearing all previous output.",
			--usage = "The filter settings will only be activated once you applied them here, or reloading your UI.",
			func = function() YurrCombatLog:Apply()
			end
			},
			YurrCombatLog = {
				type = "group",
				name = "YurrCombatLog",
				handler = YurrCombatLog,
					args = {
						Filters = {
						type = "group",
						name = L["Filters"],
							args = {
								any = {
								type = "group",
								name = L["*"],
								desc = L["*"],
									args = {
										Description = {
										type = "group",
										name = L["Name Filters for *"],
										inline = true,
											args = {
												Source = {
												type = "group",
												name = L["Source"],
												inline = true,
													args = {
														Player = {
														type = "toggle",
														name = L["Player"],
														},
														Pet = {
														type = "toggle",
														name = L["Pet"],
														},
														Part = {
														type = "toggle",
														name = L["Party"],
														},
														Raid = {
														type = "toggle",
														name = L["Raid"],
														},
														Target = {
														type = "toggle",
														name = L["Target"],
														},
														TargetofTarget = {
														type = "toggle",
														name = L["Target of Target"],
														},
														Focus = {
														type = "toggle",
														name = L["Focus"],
														},
														Others = {
														type = "toggle",
														name = L["Others"],
														},
													},
												},
												Victim = {
												type = "group",
												name = L["Victim"],
												inline = true,
													args = {
														Player = {
														type = "toggle",
														name = L["Player"],
														},
														Pet = {
														type = "toggle",
														name = L["Pet"],
														},
														Part = {
														type = "toggle",
														name = L["Party"],
														},
														Raid = {
														type = "toggle",
														name = L["Raid"],
														},
														Target = {
														type = "toggle",
														name = L["Target"],
														},
														TargetofTarget = {
														type = "toggle",
														name = L["Target of Target"],
														},
														Focus = {
														type = "toggle",
														name = L["Focus"],
														},
														Others = {
														type = "toggle",
														name = L["Others"],
														},
													},
												},
											},
										},
									},
								},
							},
						},
						fubar = {	-- jacked from Omen
						type = "group",
						name = L["FuBar options"],
						desc = L["FuBar options"],
						order = -1,
						disabled = function() return YurrCombatLog.IsFuBarMinimapAttached == nil end,
							args = {
								attachMinimap = {
								type = "toggle",
								name = L["Attach to minimap"],
								desc = L["Attach to minimap"],
								get = function(info)
									return YurrCombatLog:IsFuBarMinimapAttached()
								end,
								set = function(info, v)
									YurrCombatLog:ToggleFuBarMinimapAttached()
									db["FuBar.AttachMinimap"] = YurrCombatLog:IsFuBarMinimapAttached()
								end
							},
							hideIcon = {
								type = "toggle",
								name = L["Hide minimap/FuBar icon"],
								desc = L["Hide minimap/FuBar icon"],
								get = function(info) 
									return db["FuBar.HideMinimapButton"] 
								end,
								set = function(info, v)
									db["FuBar.HideMinimapButton"] = v
									if v then
										YurrCombatLog:Hide()
									else
										YurrCombatLog:Show()
									end
								end
							},
							showIcon = {
								type = "toggle",
								name = L["Show icon"],
								desc = L["Show icon"],
								get = function(info) return YurrCombatLog:IsFuBarIconShown() end,
								set = function(info, v) YurrCombatLog:ToggleFuBarIconShown() end
							},
							showText = {
								type = "toggle",
								name = L["Show text"],
								desc = L["Show text"],
								get = function(info) return YurrCombatLog:IsFuBarTextShown() end,
								set = function(info, v) YurrCombatLog:ToggleFuBarTextShown() end
							},
							position = {
								type = "select",
								name = L["Position"],
								desc = L["Position"],
								values = {LEFT = L["Left"], CENTER = L["Center"], RIGHT = L["Right"]},
								get = function() 
									return YurrCombatLog:GetPanel() and YurrCombatLog:GetPanel():GetPluginSide(YurrCombatLog) 
								end,
								set = function(info, val)
									if YurrCombatLog:GetPanel() then
										YurrCombatLog:GetPanel():SetPluginSide(YurrCombatLog, val)
									end
								end
							}
							}
						},
					} 
			}
		}
}